EDIT - bug #7699

NPE in CdmTransientEntityCacher.getCacheElement()
08/29/2018 11:59 AM - Katja Luther

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 10%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: major Found in Version:

Description

NPE when searching for specimen (but probably not only then).

#9174 (duplicate) suggests that it happens when the TaxEditor wasn't used longer time.

#note-21 suggests it explicitly happens for bulk editors when closed during an (asynchronous) specimen search. However, it is
unlikely that this is the only reason (if at all) as it happens also in other contexts and as the last sentence in #note-21 mentions it
leads to a situation where TaxEditor needs to be restarted or at least reconnected, so it is not only the problem of a single
session/bulk editor.

login
editor version : 5.3.0.201808280657
server ()
schema version
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service a
t [http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/occurrence.service]; nested excepti
on is java.lang.NullPointerException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHt
tpInvokerAccessException (HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxy96.findByTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findOccurrences (SearchManager. java:l
58)

at eu.etaxonomy.taxeditor.store.SearchManager.findOccurrences (SearchManager. java:l
15)

at eu.etaxonomy.taxeditor.bulkeditor.input.OccurrenceEditorInput.listEntities (Occu
rrenceEditorInput.java:70)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambda$0 (Abstra
ctBulkEditorInput.java:219)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEnt
ityCacher. java:254)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntity
Cacher. java:259)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.put (CdmTransientEntityCacher. ja
va:235)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CachelLoader. java:273)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:298)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:87)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CachelLoader.java:189)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader.java:160)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader.java:72)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load (CdmTransientEntityCacher.j
ava:132)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession. java:77)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionMan
ager.java:131)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmSe
rviceRequestExecutor. java:75)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.exe
cuteRequest (AbstractHttpInvokerRequestExecutor. java:138)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRe
quest (HttpInvokerClientInterceptor.java:194)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRe
quest (HttpInvokerClientInterceptor.java:176)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:144)

9 more
Related issues:
Related to EDIT - bug #10186: Problems with session handling in taxeditor Closed
Related to EDIT - bug #10252: Session handling in name bulk editor not correct New
Has duplicate EDIT - bug #8626: NullPointerException (NPE) on saving Specimen... Duplicate
Has duplicate EDIT - bug #8923: NullPointerException (NPE) after attempt to s... Duplicate
Has duplicate EDIT - bug #9174: After longer inactivity NPE for cache Duplicate

Associated revisions

Revision 6ce970f7 - 01/14/2021 11:43 AM - Katja Luther
ref #7699: wait for the thread to stop

Revision 2014062e - 11/30/2022 01:31 AM - Andreas Miiller
ref #7699 add debugging to CdmTransientEntityCacher.getCache()

Revision b4aa8a57 - 11/30/2022 09:24 AM - Andreas Miiller
ref #7699 add debugging to CdmTransientEntityCacher.getCache() (cont.)

Revision f1c74cff - 11/30/2022 09:48 AM - Andreas Miiller
ref #7699 add debugging to CdmTransientEntityCacher.getCache() (cont. I1)

History

#2 - 08/29/2018 01:25 PM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Muiller

| cannot reproduce this. On which DB did you test? Does it always happen for any search on any DB?

#3 - 08/29/2018 01:32 PM - Andreas Miuller

On rem_conf_am (see stacktrace) and search for "A*"

#4 - 08/29/2018 01:58 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Patrick Plitzner

#5 - 08/29/2018 02:14 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

Andreas Muller wrote:

On rem_conf_am (see stackirace) and search for "A*"

| cannot reproduce this here either

#6 - 09/05/2018 11:50 AM - Andreas Miiller
It still exists sometimes

login
editor version : 5.3.0.201809042248
server : ()
schema version
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://te
st.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/reference.service]; nested exception is java.lang.NullPoint
erException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.Jjava:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy58.findByTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findReferences (SearchManager. java:89)

at eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput.listEntities (ReferenceEditorInput.java:102
)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambda$0 (AbstractBulkEditorInput. java:2
19)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker.java:55)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:254)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher.java:259)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.put (CdmTransientEntityCacher. java:235)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:268)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:293)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:84)

at eu.etaxonomy.cdm.cache.CachelLoader.load(CacheLoader. java:184)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:155)

at eu.etaxonomy.cdm.cache.CachelLoader.load (CacheLoader. java:69)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:131)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession.java:70)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load(CdmEntitySessionManager. java:131)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmServiceRequestExecutor. jav
a:75)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.executeRequest (AbstractHttp
InvokerRequestExecutor. java:138)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
nterceptor.java:194)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
nterceptor.java:176)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:144)

8 more

my idea was that it happens if you start search while the views still refresh and tried to reproduce

login
editor version : 5.3.0.201809042248
server : ()
schema version
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://te
st.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/reference.service]; nested exception is java.lang.NullPoint
erException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy58.findByTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findReferences (SearchManager. java:89)

at eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput.listEntities (ReferenceEditorInput.java:102
)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambda$0 (AbstractBulkEditorInput. java:2
19)
at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)
at org.eclipse.core.internal. jobs.Worker.run (Worker.java:55)
Caused by: java.lang.NullPointerException

This was reproducable after it happended once, even in other bulk editors. Only restarting the TaxEditor solved the issue. After restart also the first
error could not be reproduced. So it seems to happen only in a certain state of the TaxEditor

However, even if difficult to reproduce we should think about handling the NPE case. What if getCache() returns null. Should we create a new cache
and merge all existing data into it?

Also we should have a look why the cache can be null. Something wrong with dispose handling in special cases. Maybe a "disposed” flag can help to
find the reason. Once the cacher is disposed the flag should be set to true. Calling getCache() on disposed Cacher then throws a specific Exception
saying that this is not allowed.

Or do we reuse Cachers after dispose was called?

#7 - 09/05/2018 11:52 AM - Andreas Miiller

Added AK as this is maybe a general ticket about handling of disposed in CdmTransientEntityCacher so might be interesting for him too.

#8 - 09/06/2018 09:07 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#9 - 10/16/2018 01:36 PM - Andreas Kohlbecker

| also had it today in the Users Bulkeditor:

login
editor version : 5.4.0.201810151448
server : ()
schema version
os : Linux 4.15.0-34-generic amdé4
java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://16
0.45.63.231:80/cdmserver/phycobank_01/remoting-public/user.service]; nested exception is java.lang.NullPointer
Exception

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor.java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy25.listByUsername (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findUsers (SearchManager. java:166)

at eu.etaxonomy.taxeditor.bulkeditor.input.UserEditorInput.listEntities (UserEditorInput.java:79)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditorInput.java:2
73)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal.jobs.Worker.run (Worker.java:55)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:288)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:293)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.put (CdmTransientEntityCacher. java:261)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:268)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursive (CacheLoader. java:293)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursive (CacheLoader. java:84)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:184)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:155)

at eu.etaxonomy.cdm.cache.CachelLoader.load(CacheLoader. java:67)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load (CdmTransientEntityCacher.java:157)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load(CdmEntitySession.java:70)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager. java:131)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmServiceRequestExecutor. jav
a:75)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.executeRequest (AbstractHttp
InvokerRequestExecutor. java:138)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
nterceptor. java:194)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
nterceptor.java:176)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:144)

8 more
#10 - 11/12/2018 07:10 PM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

As this does not seem to be solved yet | move it to the next version.

#11 - 02/05/2019 01:32 PM - Katja Luther

the cache is disposed if the cdmEntitySession is closed, for the bulkeditor this is the case when the editor is saved or closed. But | could not
reproduce this exception whether for closing nor for saving and searching in parallel

#12 - 02/06/2019 09:24 AM - Katja Luther

- Target version changed from Release 5.5 to Release 5.6

#13 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#14 - 10/30/2019 09:11 PM - Andreas Miiller
- Related to bug #8626: NullPointerException (NPE) on saving Specimen Editor (list) added

#15 - 11/05/2019 01:47 PM - Katja Luther
- Related to deleted (bug #8626: NullPointerException (NPE) on saving Specimen Editor (list))

#16 - 11/05/2019 01:47 PM - Katja Luther
- Has duplicate bug #8626: NullPointerException (NPE) on saving Specimen Editor (list) added

#17 - 01/20/2020 03:50 PM - Andreas Miiller
- Status changed from Feedback to New

- Target version changed from Reviewed Next Major Release to Release 5.13

This exception appears quite often therefore | put it to the current milestone.

We need to find to handle it so that reopening the TaxEditor is not necessary anymore. And ofcourse it would be good to find out why it happens at
all.

#18 - 01/20/2020 04:09 PM - Andreas Kohlbecker

- Tags set to RemoteAccessException

#19 - 02/21/2020 11:00 AM - Andreas Kohlbecker

- Description updated

Another report of the same issue:
Hallo,
der bulk editor ist nicht zug&nglich, das ist die Fehlermeldung, die kommt.

viele GriiBe
Nadija

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/reference.service

last remote request client time : 2020-02-19T15:46:47.448

last remote request response header time : Wed, 19 Feb 2020 15:46:47 GMT

client error time : 2020-02-19T15:46:47.507

login :

editor version : 5.12.0

server : ()

schema version :

os : Windows 7 6.1 amd64

java : 1.8.0_20

org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://ap
i.cybertaxonomy.org:80/caryophyllales_spp/remoting/reference.service]; nested exception is java.lang.NullPoint
erException
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAcc
essException (HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy9l.findByTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findReferences (SearchManager. java:97)

at eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput.listEntities (ReferenceEditorIn
put.java:128)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditor
Input.java:280)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput$$Lambdas$77/494966836.run (Un
known Source)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker.java:55)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. ja
va:288)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:
293)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.put (CdmTransientEntityCacher. java:261)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:268)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:293)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:84)

at eu.etaxonomy.cdm.cache.CacheLoader.load(CacheLoader. java:184)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:155)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader. java:69)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:157)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load(CdmEntitySession. java:70)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager.java:13
1)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmServiceRequest
Executor. java:82)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.executeRequest (
AbstractHttpInvokerRequestExecutor. java:138)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpIn
vokerClientInterceptor.java:194)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpIn
vokerClientInterceptor. java:176)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:144)

9 more

#20 - 02/21/2020 11:01 AM - Andreas Kohlbecker

- Tags deleted (RemoteAccessException)

#21 - 02/21/2020 01:25 PM - Andreas Kohlbecker

As far as | am understanding this problem it is the bulk editors which can be saved or closed while a search process is still running in a subthread.
These sub threads are started in AbstractBulkEditorInput.performSearch(BulkEditorQuery bulkEditorQuery, I1StructuredSelection selection)

In case of saving or even closing the editor the following code is execued:
public void save (IProgressMonitor monitor, boolean resetMerge) ({

input.dispose(); // calls internally cdmTransientEntityCacher.dispose();

input.bind();
if (lastQuery != null) {

// NOTE AK: what if a search is already in progress here?
bulkEditorComposite.performSearch (lastQuery, selection);

@PreDestroy
public void dispose() {

if (input!=null) {
input.dispose(); // calls internally cdmTransientEntityCacher.dispose();
The CachingHttpInvokerProxyFactoryBean (formerly CdmServiceRequestExecutor as shown in the stack traces here) will load the retuned entities
into the cache by calling in principle

CdmApplicationState.getCurrentAppConfig()) .getCdmEntitySessionManager () .load ()
which internally uses
tlActiveSession.get () .load(obj, update);

since tlActiveSession is an InheritableThreadLocal object the CdmEntitySession of the parent thread, that is of the bulkeditor thread is being
accessed. The session could be disposed at this time, which means that cdmTransientEntityCacher.dispose(); has been executed and
CdmTransientEntityCacher.getCache() will return null. This can happen either after a call to the BulkEditorE4.dispose() method or during
BulkEditorE4.save() while being in the middle of dispose() and bind().

A solution to this problem would be to kill the search thread being in progress. This would require calling job.getThread().stop() since job.cancel()
seems to wait for the job to gracefully shut down, which is not what we want in this case.

BTW: | also stumbled over these lines of code in .AbstractBulkEditorlnput.performSearch(BulkEditorQuery bulkEditorQuery, IStructuredSelection
selection):

public void performSearch(final BulkEditorQuery bulkEditorQuery, IStructuredSelection selection) {
//cancel previous search Jjob
if (searchJob!=null && searchJob.getState () !=Job.NONE) {
searchJob.cancel () ;
searchJob = null;
/*
* wait for a little while for the job to finish
* to avoid asynchronously loaded results of the
* previous search being shown in the next search
* (not critical but explicitly waiting for the job to finish
* could run into an endless loop by mistake)
=/
try {
Thread.sleep (500);
} catch (InterruptedException e) {
}
}

This seems not to be right since sleeping for half a second is not always enough. Think about massive searches or low data rate connections! | t
would be better to kill the thread as suggested above.

However, there is one point which does not yet fit into this picture. After this phenomenon has appeared it is needed to restart the editor. It should be
sufficient to just close the bulkeditor to heal the situation.

#22 - 03/10/2020 11:46 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#23 - 04/01/2020 02:52 PM - Andreas Kohlbecker
- Has duplicate bug #8923: NullPointerException (NPE) after attempt to save invalid Group name added

#24 - 04/08/2020 03:47 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#25 - 04/22/2020 10:29 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#26 - 08/19/2020 10:04 AM - Andreas Miiller
- Related to bug #9174: After longer inactivity NPE for cache added

#27 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#28 - 01/14/2021 11:41 AM - Katja Luther
Andreas Kohlbecker wrote:
As far as | am understanding this problem it is the bulk editors which can be saves or closed while a search process is still running in a

subthread. These sub threads are started in AbstractBulkEditorInput.performSearch(BulkEditorQuery bulkEditorQuery, IStructuredSelection
selection)
In case of saving or even closing the editor the following code is execued:

since tlActiveSession is an InheritableThreadLocal object the CdmEntitySession of the parent thread, that is of the bulkeditor thread is being
accessed. The session could be disposed at this time, which means that cdmTransientEntityCacher.dispose(); has been executed and
CdmTransientEntityCacher.getCache() will return null. This can happen either after a call to the BulkEditorE4.dispose() method or during
BulkEditorE4.save() while being in the middle of dispose() and bind().

A solution to this problem would be to kill the search thread being in progress. This would require calling job.getThread().stop() since job.cancel()
seems to wait for the job to gracefully shut down, which is not what we want in this case.

BTW: | also stumbled over these lines of code in .AbstractBulkEditorinput.performSearch(BulkEditorQuery bulkEditorQuery, IStructuredSelection
selection):

| did some more research and thread.stop() is deprecated and should not be used anymore, therefore | would add the following code to be sure that
the thread is closed.

boolean isCanceled = searchJob.cancel ();
if (!isCanceled) {
while (!isCanceled) {
try {
Thread.sleep (200);
} catch (InterruptedException e) {
}

isCanceled = searchJob.cancel();

}

searchJob = null;

#29 - 01/14/2021 11:55 AM - Andreas Kohlbecker

This way is would be more concise:

boolean isCanceled = false;
while (true) {
try {
Thread.sleep (200);
} catch (InterruptedException e) {
}
isCanceled = searchJob.cancel();
if (isCanceled) {
break;

// do something with isCanceled

#30 - 01/14/2021 12:11 PM - Katja Luther

There was the same issue while working with character matrix:
mail NK:

hm, es scheint aber doch noch ein Problem zu geben: Ich gebe heute seit einer Weile die Daten aus dem letzten Kurs in die aktuelle Matrix ein, habe
eigentlich auch &fter gespeichert, aber dann geht der TaxEditor in den (Keine Rickmeldung)-Modus und scheint auch nicht mehr herauszukommen.
Das klingt so wie bei Max, nur dass ich blo3 den Editor zwangsschlieBen und neu laden muss, nicht den ganzen Rechner.

stacktrace in log file:

[http://160.45.63.231:80/cdmserver/greece_bupleurum_01_with_onthology/remoting/media.service]; nested exceptio
n is java.lang.NullPointerException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAcc
essException (HttpInvokerClientInterceptor. java:226)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy6l.load (Unknown Source)

at eu.etaxonomy.taxeditor.view.search.facet.term.TermSearchResultComposite$2.run (TermSearchRes
ultComposite.java:122)

at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. ja
va:266)
CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:
CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:

CacheLoader.load (CacheLoader. java:248)

Cacheloader.load (CacheLoader. java:62)

CdmTransientEntityCacher.load (CdmTransientEntityCacher. java:165)
session.CdmEntitySession.load (CdmEntitySession. java:65)
session.CdmEntitySessionManager.load(CdmEntitySessionManager. java:11

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralRe
quest (CachingHttpInvokerProxyFactoryBean. java:100)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (
CachingHttpInvokerProxyFactoryBean. java:81)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli

entInterceptor.java:150)
5 more

The exception comes from TermSearchResultComposite not CharacterMatrix.

#31 - 01/27/2021 04:13 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#32 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#33 - 04/19/2021 05:41 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#34 - 04/20/2021 11:31 AM - Andreas Muller

- Severity changed from normal to major

As this problem (see also duplicates) appears again and again from time to time | increase severity.

#35 - 11/30/2022 01:23 AM - Andreas Miiller
- Related to deleted (bug #9174: After longer inactivity NPE for cache)

#36 - 11/30/2022 01:23 AM - Andreas Miiller
- Has duplicate bug #9174: After longer inactivity NPE for cache added

#37 - 11/30/2022 01:24 AM - Andreas Miiller
- Subject changed from NPE when searching for specimen in bulk editor to NPE in CdmTransientEntityCacher.getCacheElement()

#38 - 11/30/2022 01:28 AM - Andreas Miiller

- Description updated

#39 - 11/30/2022 08:51 AM - Andreas Miiller

- Description updated

- Status changed from New to In Progress

- Target version changed from Release 5.46 to Release 5.35

#40 - 11/30/2022 09:16 AM - Andreas Miuiller

- Description updated

#42 - 11/30/2022 09:18 AM - Andreas Miiller

- % Done changed from 0 to 10

#43 - 11/30/2022 09:52 AM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Mdiller

#44 - 11/30/2022 09:54 AM - Andreas Miiller
- Related to bug #10186: Problems with session handling in taxeditor added

#45 - 11/30/2022 09:55 AM - Andreas Muller

- Target version changed from Release 5.35 to Release 5.44

Now an explicit error is thrown with message "No cache available for cacheld = xxx" and some debug information.
For now, we have to wait until the problem occurs again and that we get some more debug information. Therefore moving to next milestone.

Close it if it does not appear after >6 month anymore

#46 - 02/28/2023 12:37 PM - Andreas Miiller
- Related to bug #10252: Session handling in name bulk editor not correct added

#47 - 02/28/2023 12:41 PM - Andreas Miiller
AM 2023-01-27:

Cache Status, lange offen, aber kurz vorher genutzt, kurz vorher alle Fenster geschlossen und RefBulk versucht neu zu &ffnen

last remote service : https://api.cybertaxonomy.org:443/euromed/remoting/reference.service
last remote method : getDbSchemaVersion
last remote request client time : 2023-01-27T22:29:49.217
last remote request response header time : Fri, 27 Jan 2023 21:29:49 GMT
client error time : 2023-01-27T22:29:49.379
login : admin
editor version : 5.35.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.35.1.0.20221218
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [https://a
pi.cybertaxonomy.org:443/euromed/remoting/reference.service]; nested exception is java.lang.RuntimeException:
No cache available for cacheld = eu.etaxonomy.taxeditor.editor.definedterm.input.TermEditorInputl273327527. Se
e #7699.
Available caches are: [Ljava.lang.String;@23088af7
CacheManager status is: STATUS_ALIVE
Cache status 1is:STATUS_SHUTDOWN
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessE
xception (HttpInvokerClientInterceptor. java:226)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:153)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation

.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy90.findByTitleAndAbbrevTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findReferences (SearchManager. java:96)

at eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput.listEntities (ReferenceEditorInput.
Java:171)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditorInpu
t.java:304)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)
at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)
Caused by: java.lang.RuntimeException: No cache available for cacheld = eu.etaxonomy.taxeditor.editor.definedt
erm.input.TermEditorInputl273327527. See #7699.
Available caches are: [Ljava.lang.String;@23088af7
CacheManager status is: STATUS_ALIVE
Cache status is:STATUS_SHUTDOWN
at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCache (CdmTransientEntityCacher. java:153)
at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:2
82)
at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:286)
at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.putToCache (CdmTransientEntityCacher. java:250)
at eu.etaxonomy.cdm.cache.CachelLoader.putToCache (CacheLoader. java:295)
at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursive (CacheLoader. java:322)
at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursiveAny (CachelLoader. java:84)
at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursiveCollection (CacheLoader. java:191)
at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:158)
at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader. java:67)
at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:181)
at eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession. java:66)
at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager.java:119)
at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralReques
t (CachingHttpInvokerProxyFactoryBean. java:114)
at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (Cach
ingHttpInvokerProxyFactoryBean. java:88)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:150)
8 more

#48 - 02/28/2023 12:43 PM - Andreas Miiller
AM 2023-01-28:

Schon wieder, nach Nacht, NameBulkeditor war noch offen, neue Anfrage

last remote service : https://api.cybertaxonomy.org:443/euromed/remoting/agent.service
last remote method : getDbSchemaVersion
last remote request client time : 2023-01-28T09:08:46.152
last remote request response header time : Sat, 28 Jan 2023 08:08:46 GMT
client error time : 2023-01-28T09:08:46.333
login : admin
editor version : 5.35.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.35.1.0.20221218
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [https://a
pi.cybertaxonomy.org:443/euromed/remoting/agent.servicel]l; nested exception is java.lang.RuntimeException: No c
ache available for cacheld = eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput2097525231. See #7699.
Available caches are: [Ljava.lang.String;@5906dc01
CacheManager status is: STATUS_ALIVE
Cache status 1is:STATUS_SHUTDOWN
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessE
xception (HttpInvokerClientInterceptor.java:226)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:153)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation
.java:179)
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)
at com.sun.proxy.S$Proxy95.findByTitleAndAbbrevTitle (Unknown Source)
at eu.etaxonomy.taxeditor.store.SearchManager.findAgents (SearchManager. java:101)
at eu.etaxonomy.taxeditor.store.SearchManager.findTeamOrPersons (SearchManager. java:109)
at eu.etaxonomy.taxeditor.bulkeditor.input.AgentEditorInput.listEntities (AgentEditorInput.java:186

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditorInpu
t.java:304)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker.java:55)
Caused by: java.lang.RuntimeException: No cache available for cacheId = eu.etaxonomy.taxeditor.bulkeditor.inpu
t.NameEditorInput2097525231. See #7699.
Available caches are: [Ljava.lang.String;@5906dc01
CacheManager status is: STATUS_ALIVE
Cache status 1is:STATUS_SHUTDOWN

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCache (CdmTransientEntityCacher. java:153)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:2
82)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher.java:286)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.putToCache (CdmTransientEntityCacher. java:250)

at eu.etaxonomy.cdm.cache.CacheLoader.putToCache (CacheLoader. java:295)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:322)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursiveAny (CacheLoader. java:84)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursiveCollection (CachelLoader.java:191)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:158)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:67)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:181)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession.java:66)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load(CdmEntitySessionManager.java:119)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralReques
t (CachingHttpInvokerProxyFactoryBean. java:114)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (Cach
ingHttpInvokerProxyFactoryBean. java:88)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:150)

9 more

#49 - 02/28/2023 12:43 PM - Andreas Miiller

Very interesting is observation in #10252 which seems to be related.
https://dev.e-taxonomy.eu/redmine/issues/10252

#50 - 07/06/2023 12:55 PM - Andreas Miiller

... dann nochmal in E+M nachdem der Editor einige Tage offen war mit Taxa aber auch TermTrees:

last remote service : https://api.cybertaxonomy.org:443/euromed/remoting/reference.service
last remote method : getDbSchemaVersion
last remote request client time : 2023-07-03T18:05:35.22
last remote request response header time : Mon, 03 Jul 2023 16:05:35 GMT
client error time : 2023-07-03T18:05:35.495
login : admin
editor version : 5.39.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.38.0.0.20230510
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [https://a
pi.cybertaxonomy.org:443/euromed/remoting/reference.service]; nested exception is Jjava.lang.RuntimeException:
No cache available for cacheld = eu.etaxonomy.taxeditor.termtree.ed.TermTreeEditor730884922. See #7699.
Available caches are: [Ljava.lang.String;@53032437
CacheManager status is: STATUS_ALIVE
Cache status is:STATUS_SHUTDOWN
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessE
xception (HttpInvokerClientInterceptor.java:226)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:153)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation

.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.$Proxyl08.findByTitleAndAbbrevTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findReferences (SearchManager. java:96)

at eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput.listEntities (ReferenceEditorInput.
java:171)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditorInpu
t.java:304)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)
Caused by: java.lang.RuntimeException: No cache available for cacheld = eu.etaxonomy.taxeditor.termtree.ed.Ter
mTreeEditor730884922. See #7699.
Available caches are: [Ljava.lang.String;@53032437
CacheManager status is: STATUS_ALIVE
Cache status 1s:STATUS_SHUTDOWN

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCache (CdmTransientEntityCacher. java:153)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:2
82)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher.java:286)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.putToCache (CdmTransientEntityCacher. java:250)

at eu.etaxonomy.cdm.cache.CacheLoader.putToCache (CacheLoader. java:295)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CacheLoader. java:322)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursiveAny (CachelLoader. java:84)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursiveCollection (CachelLoader.java:191)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:158)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader.java:67)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:181)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession. java:66)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager.java:119)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralReques
t (CachingHttpInvokerProxyFactoryBean. java:114)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (Cach
ingHttpInvokerProxyFactoryBean. java:88)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:150)

8 more

Von: Mller, Andreas A.Mueller@bo.berlin
Gesendet: Freitag, 16. Juni 2023 15:59
An: Muller, Andreas A.Mueller@bo.berlin
Betreff: AW: STATUS_SHUTDOWN

Beim Bearbeiten von Termbildern

last remote service : https://api.cybertaxonomy.org:443/cdmterms/remoting/media.service
last remote method : getDbSchemaVersion

last remote request client time : 2023-06-16T15:53:13.475

last remote request response header time : Fri, 16 Jun 2023 13:53:13 GMT

client error time : 2023-06-16T15:53:13.59
login : admin
editor version : 5.39.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / cdmterms
schema version : 5.38.0.0.20230510
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [https://a
pi.cybertaxonomy.org:443/cdmterms/remoting/media.service]; nested exception is java.lang.RuntimeException: No
cache available for cacheld = eu.etaxonomy.taxeditor.termtree.ed4.TermTreeEditorl626789513. See #7699.
Available caches are: [Ljava.lang.String;@6bac9b4l
CacheManager status is: STATUS_ALIVE
Cache status is:STATUS_SHUTDOWN

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessE
xception (HttpInvokerClientInterceptor. java:226)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation

.Java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy79.findByTitle (Unknown Source)

at eu.etaxonomy.taxeditor.store.SearchManager.findMedia (SearchManager.java:215)

at eu.etaxonomy.taxeditor.bulkeditor.input.MediaEditorInput.listEntities (MediaEditorInput.java:104
)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambdas$0 (AbstractBulkEditorInpu
t.java:304)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker.java:55)
Caused by: java.lang.RuntimeException: No cache available for cacheld = eu.etaxonomy.taxeditor.termtree.ed.Ter
mTreeEditor1626789513. See #7699.
Available caches are: [Ljava.lang.String;@6bac9b4l
CacheManager status is: STATUS_ALIVE
Cache status is:STATUS_SHUTDOWN

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCache (CdmTransientEntityCacher.java:153)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getCacheElement (CdmTransientEntityCacher. java:2
82)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:286)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.putToCache (CdmTransientEntityCacher. java:250)

at eu.etaxonomy.cdm.cache.CacheLoader.putToCache (CacheLoader. java:295)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursive (CachelLoader. java:322)

at eu.etaxonomy.cdm.cache.CacheLoader.loadRecursiveAny (CachelLoader. java:84)

at eu.etaxonomy.cdm.cache.CachelLoader.loadRecursiveCollection (CacheLoader.java:191)

at eu.etaxonomy.cdm.cache.Cacheloader.load (CacheLoader. java:158)

at eu.etaxonomy.cdm.cache.CacheLoader.load (CacheLoader. java:69)

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load (CdmTransientEntityCacher.java:181)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load(CdmEntitySession. java:66)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager. java:119)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralReques
t (CachingHttpInvokerProxyFactoryBean. java:114)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (Cach
ingHttpInvokerProxyFactoryBean. java:88)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientI
nterceptor.java:150)

8 more
